--- old/usr/src/lib/libpkg/Makefile.com	2014-05-20 11:53:54.005179777 +0400
+++ new/usr/src/lib/libpkg/Makefile.com	2014-05-20 11:53:54.021732360 +0400
@@ -57,14 +57,18 @@
 # openssl forces us to ignore dubious pointer casts, thanks to its clever
 # use of macros for stack management.
 LINTFLAGS=      -umx -errtags \
-		-erroff=E_BAD_PTR_CAST_ALIGN,E_BAD_PTR_CAST
+		-erroff=E_BAD_PTR_CAST_ALIGN,E_BAD_PTR_CAST,E_SUPPRESSION_DIRECTIVE_UNUSED
 $(LINTLIB):=	SRCS = $(SRCDIR)/$(LINTSRC)
 
 
 LIBS = $(DYNLIB) $(LINTLIB)
 
 
-LDLIBS +=	-lc -lssl -lwanboot -lcrypto -lscf -ladm
+LDLIBS +=	-lc -lwanboot -lscf -ladm
+
+# libcrypto and libssl have no lint library, and so can only be used when
+# building
+$(DYNLIB) := LDLIBS += -lcrypto -lssl
 
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-unused-label
